Subject: Re: [mpls] Comments to draft-nadeau-pwe3-vccv-2-01

From: Greg Mirsky <[email-masked]>
Date: Thu, 9 Jun 2011 14:58:13 -0700

Dear Authors,
perhaps I've missed your response and I've decided to re-post.

Regards,
Greg

On Fri, Mar 11, 2011 at 2:26 PM, Greg Mirsky <[email-masked]> wrote:

> Dear Authors,
> please find my comments below.
>
>    - this proposal is closely related to changes to RFC 5586 put forward
>    in draft-lm-pwe3-mpls-tp-gal-in-pw-00 but there's no reference to the draft.
>    - RFC 5586 states and the draft-lm-pwe3-mpls-tp-gal-in-pw-00 maintains
>    that in MPLS-TP network the GAL must be BoS. Only in non-TP MPLS netowrks
>    GAL might be not a BoS. In your proposal the GAL precedes the PW and thus is
>    not BoS. But the document's scope is for all MPLS PWs, including over
>    MPLS-TP PSN. Unless statement in Section 4.2 RFC 5586 "In MPLS-TP (GAL) ...
>    MUST always be at the bottom of the label stack (i.e., S bit set to 1)"
>    updated proposed use of GAL is allowed only in non-TP MPLS PSN.
>    - Section 2 lists of allowed ACH. Since these are hexadecimal numbers
>    I'd suggest prepending them with '0x' to make as "0x07, 0x21, and 0x57". And
>    I'd ask for clarification of "allowed". Is it "MAY", "SHOULD" or "MUST" be
>    limited to ... A, B, C"?
>    - In Section 3 stated that TTL in PW LSE must be set to 1 for SS-PW and
>    to appropriate value in MS-PW to reach intended PE. Hence my question, Is
>    this mechanism to reach MIP, i.e. S-PE, or this is mechanism to generate
>    exception? But that is how PW VCCV Control Channel Type 3 works. What is the
>    interpretation of GAL in a label stack? To indicate PW CW after the PW LSE?
>    - editorial - in Abstract s/The MPLS/the MPLS or a reference to,
>    perhaps, RFC 5654.
>
>
> Regards,
> Greg
>
>
>
>

---

From: Thomas Nadeau <[email-masked]>
Date: Fri, 24 Jun 2011 15:47:56 -0400

Greg,

> perhaps I've missed your response and I've decided to re-post.

	Apologies for the delay in responding.  

> this proposal is closely related to changes to RFC 5586 put forward in draft-lm-pwe3-mpls-tp-gal-in-pw-00 but there's no reference to the draft.

	TOM: Cool. We can add that as a requirement.
> RFC 5586 states and the draft-lm-pwe3-mpls-tp-gal-in-pw-00 maintains that in MPLS-TP network the GAL must be BoS. Only in non-TP MPLS netowrks GAL might be not a BoS. In your proposal the GAL precedes the PW and thus is not BoS. But the document's scope is for all MPLS PWs, including over MPLS-TP PSN. Unless statement in Section 4.2 RFC 5586 "In MPLS-TP (GAL) ... MUST always be at the bottom of the label stack (i.e., S bit set to 1)" updated proposed use of GAL is allowed only in non-TP MPLS PSN.
	TOM: That was a typo. We've swapped the GAL and PW labels in version -02.
> Section 2 lists of allowed ACH. Since these are hexadecimal numbers I'd suggest prepending them with '0x' to make as "0x07, 0x21, and 0x57". And I'd ask for clarification of "allowed". Is it "MAY", "SHOULD" or "MUST" be limited to ... A, B, C"?
	TOM: We copied the format of the base VCCV RFC, but I can update this way if no one else objects.
> In Section 3 stated that TTL in PW LSE must be set to 1 for SS-PW and to appropriate value in MS-PW to reach intended PE. Hence my question, Is this mechanism to reach MIP, i.e. S-PE, or this is mechanism to generate exception? But that is how PW VCCV Control Channel Type 3 works.
	TOM: We added those restrictions so that the protocol behaved properly for SS and MH PWs.
> What is the interpretation of GAL in a label stack? To indicate PW CW after the PW LSE?
	TOM: Do you mean the interpretation of the GAL in the label stack as defined in the draft, or in general?
> editorial - in Abstract s/The MPLS/the MPLS or a reference to, perhaps, RFC 5654.
	TOM: Will add to version -03 with the other changes above.

	--Tom